Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/credits' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cast": [
{
"adult": false,
"character": "Seong Gi-hun / 'No. 456'",
"credit_id": "5e691b882f3b1700113ec6a7",
"gender": 2,
"id": 73249,
"known_for_department": "Acting",
"name": "Lee Jung-jae",
"order": 0,
"original_name": "이정재",
"popularity": 69.448,
"profile_path": "/3h5Cfm0X8ohWn7psZkqdNWqXAHH.jpg"
},
{
"adult": false,
"character": "Front Man",
"credit_id": "648e484726346200ae1bc82a",
"gender": 2,
"id": 25002,
"known_for_department": "Acting",
"name": "Lee Byung-hun",
"order": 1,
"original_name": "이병헌",
"popularity": 63.66,
"profile_path": "/pY4pwYO8qwtzvuzpzRczDACDiVA.jpg"
},
{
"adult": false,
"character": "Myung-gi / 'No. 333'",
"credit_id": "675222d137f18562020882ca",
"gender": 2,
"id": 1296713,
"known_for_department": "Acting",
"name": "Yim Si-wan",
"order": 2,
"original_name": "임시완",
"popularity": 35.731,
"profile_path": "/8XbMzvYE3KUNDW1jEHSCjM9t89n.jpg"
},
{
"adult": false,
"character": "Dae-ho / 'No. 388'",
"credit_id": "675222563494cc9bfbc60eaf",
"gender": 2,
"id": 1257899,
"known_for_department": "Acting",
"name": "Kang Ha-neul",
"order": 3,
"original_name": "강하늘",
"popularity": 25.978,
"profile_path": "/9V9H2mzk9XLMVPr0HtZHPCbM0Q2.jpg"
},
{
"adult": false,
"character": "Hwang Jun-ho",
"credit_id": "614cb84fc2823a0090ca07ef",
"gender": 2,
"id": 1557181,
"known_for_department": "Acting",
"name": "Wi Ha-jun",
"order": 5,
"original_name": "위하준",
"popularity": 43.041,
"profile_path": "/tEZuIaMESdBw4LfNq3vshGR4VlP.jpg"
},
{
"adult": false,
"character": "No-eul",
"credit_id": "6752241e84ca928d00c9f732",
"gender": 1,
"id": 1983073,
"known_for_department": "Acting",
"name": "Park Gyu-young",
"order": 7,
"original_name": "박규영",
"popularity": 49.829,
"profile_path": "/aqfLyqMoNzVwjhGInt6gX6fkIxs.jpg"
},
{
"adult": false,
"character": "Gyeong-seok / 'No. 246'",
"credit_id": "675222940e8c237986a8f6e1",
"gender": 2,
"id": 1299479,
"known_for_department": "Acting",
"name": "Lee Jin-uk",
"order": 8,
"original_name": "이진욱",
"popularity": 33.863,
"profile_path": "/wbuWNsAZTluQg9H1ObQKCkYA5tV.jpg"
},
{
"adult": false,
"character": "Hyun-ju / 'No. 120'",
"credit_id": "675223b237f1856202088336",
"gender": 2,
"id": 1140210,
"known_for_department": "Acting",
"name": "Park Sung-hoon",
"order": 10,
"original_name": "박성훈",
"popularity": 46.321,
"profile_path": "/enKDuSOpLMDDqr12lLgr17DqZJF.jpg"
},
{
"adult": false,
"character": "Yong-sik / 'No. 007'",
"credit_id": "6752223b0e8c237986a8f6bf",
"gender": 2,
"id": 1297749,
"known_for_department": "Acting",
"name": "Yang Dong-geun",
"order": 11,
"original_name": "양동근",
"popularity": 14.987,
"profile_path": "/rpP06EPyDZBHKbwBhTo1t3J9poN.jpg"
},
{
"adult": false,
"character": "Geum-ja / 'No. 149'",
"credit_id": "6752231237f18562020882dc",
"gender": 1,
"id": 2523069,
"known_for_department": "Acting",
"name": "Kang Ae-sim",
"order": 13,
"original_name": "강애심",
"popularity": 47.202,
"profile_path": "/mnUozozJf3VUpgi91ysfyxlRqs1.jpg"
},
{
"adult": false,
"character": "Jun-hee / 'No. 222'",
"credit_id": "6752226a802bad16091a9c92",
"gender": 1,
"id": 2359937,
"known_for_department": "Acting",
"name": "Jo Yu-ri",
"order": 14,
"original_name": "조유리",
"popularity": 20.964,
"profile_path": "/yyNzNHZ6MavsuiNliL4MxzDk1zg.jpg"
}
],
"crew": [
{
"adult": false,
"credit_id": "62a62d1b7e12f02ff65fff0b",
"department": "Writing",
"gender": 2,
"id": 1294471,
"job": "Writer",
"known_for_department": "Directing",
"name": "Hwang Dong-hyuk",
"original_name": "황동혁",
"popularity": 23.204,
"profile_path": "/xyr3b04ayyJtA5ZN3L0Af10WKIR.jpg"
},
{
"adult": false,
"credit_id": "62a62d2385005d4c07bde35f",
"department": "Directing",
"gender": 2,
"id": 1294471,
"job": "Director",
"known_for_department": "Directing",
"name": "Hwang Dong-hyuk",
"original_name": "황동혁",
"popularity": 23.204,
"profile_path": "/xyr3b04ayyJtA5ZN3L0Af10WKIR.jpg"
}
],
"guest_stars": [
{
"adult": false,
"character": "Cho Sang-woo / 'No. 218'",
"credit_id": "6571b17790fca300ca7fb1ff",
"gender": 2,
"id": 1593672,
"known_for_department": "Acting",
"name": "Park Hae-soo",
"order": 4,
"original_name": "박해수",
"popularity": 26.428,
"profile_path": "/hfejrQ8gjRWCheiKpJANajXT0xi.jpg"
},
{
"adult": false,
"character": "Kang Sae-byeok / 'No. 067'",
"credit_id": "6113c0575c56340028bc05fd",
"gender": 1,
"id": 3194501,
"known_for_department": "Acting",
"name": "HoYeon",
"order": 6,
"original_name": "정호연",
"popularity": 91.119,
"profile_path": "/bWMOv8dzwIp5POkDYGgl0v2LoWv.jpg"
},
{
"adult": false,
"character": "The Salesman",
"credit_id": "6571b2c7a22d3e00accf157b",
"gender": 2,
"id": 150903,
"known_for_department": "Acting",
"name": "Gong Yoo",
"order": 557,
"original_name": "공유",
"popularity": 59.029,
"profile_path": "/ocGoFb6TrK3uWGXt4WnuibUG1vD.jpg"
},
{
"adult": false,
"character": "Captain Park",
"credit_id": "676d4ec962ba310fc0128b18",
"gender": 2,
"id": 77188,
"known_for_department": "Acting",
"name": "Oh Dal-su",
"order": 558,
"original_name": "오달수",
"popularity": 12.618,
"profile_path": "/hd72oGjq0YKYdgZKMnqtV00MV28.jpg"
},
{
"adult": false,
"character": "Choi Woo-seok",
"credit_id": "676d4ed00c4402b631927f1d",
"gender": 2,
"id": 1199744,
"known_for_department": "Acting",
"name": "Jun Suk-ho",
"order": 559,
"original_name": "전석호",
"popularity": 17.675,
"profile_path": "/xMUCuermXrjVNOWDV3gIfpP5yhF.jpg"
},
{
"adult": false,
"character": "Kim Jeong-tae",
"credit_id": "676d4ed662ba310fc0128b25",
"gender": 2,
"id": 1489972,
"known_for_department": "Acting",
"name": "Kim Pub-lae",
"order": 560,
"original_name": "김법래",
"popularity": 9.652,
"profile_path": "/9ceWebylO0MZcX56nP62BuSEhws.jpg"
},
{
"adult": false,
"character": "Jun-ho's mother",
"credit_id": "676d4ef50c4402b631927f2f",
"gender": 1,
"id": 138525,
"known_for_department": "Acting",
"name": "Lee Joo-sil",
"order": 561,
"original_name": "이주실",
"popularity": 12.043,
"profile_path": "/uGT4bdTx6JVEj26T2NbHoQCOODM.jpg"
},
{
"adult": false,
"character": "Masked Officer",
"credit_id": "676d515aaa8f3159d612907f",
"gender": 2,
"id": 1278776,
"known_for_department": "Acting",
"name": "Rich Ting",
"order": 571,
"original_name": "Rich Ting",
"popularity": 7.859,
"profile_path": "/9csNa8014Tx1V8xINWHXuENWs0V.jpg"
},
{
"adult": false,
"character": "Team Leader",
"credit_id": "6771497b7d1bc87de7616e22",
"gender": 2,
"id": 1375062,
"known_for_department": "Acting",
"name": "Oh Chang-kyung",
"order": 584,
"original_name": "Oh Chang-kyung",
"popularity": 0.577,
"profile_path": "/fYNUv8dKK9gv9Li39Kfa2m935F9.jpg"
},
{
"adult": false,
"character": "Kim's subordinate",
"credit_id": "6771499f7d1bc87de7616e2b",
"gender": 2,
"id": 3640214,
"known_for_department": "Acting",
"name": "Lee Woon-san",
"order": 585,
"original_name": "Lee Woon-san",
"popularity": 0.609,
"profile_path": "/4zumPDXZd4kUXig30d4d0DcBfmy.jpg"
}
],
"id": 5475279
}This endpoint retrieves a list of the latest credits of a TV episode.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the season number of the TV show.
This represents the episode number of the TV show.
This represents the language of the TV episode.
"en"
Credits
Show child attributes
[ { "adult": false, "character": "Seong Gi-hun / 'No. 456'", "credit_id": "5e691b882f3b1700113ec6a7", "gender": 2, "id": 73249, "known_for_department": "Acting", "name": "Lee Jung-jae", "order": 0, "original_name": "이정재", "popularity": 69.448, "profile_path": "/3h5Cfm0X8ohWn7psZkqdNWqXAHH.jpg" }, { "adult": false, "character": "Front Man", "credit_id": "648e484726346200ae1bc82a", "gender": 2, "id": 25002, "known_for_department": "Acting", "name": "Lee Byung-hun", "order": 1, "original_name": "이병헌", "popularity": 63.66, "profile_path": "/pY4pwYO8qwtzvuzpzRczDACDiVA.jpg" }, { "adult": false, "character": "Myung-gi / 'No. 333'", "credit_id": "675222d137f18562020882ca", "gender": 2, "id": 1296713, "known_for_department": "Acting", "name": "Yim Si-wan", "order": 2, "original_name": "임시완", "popularity": 35.731, "profile_path": "/8XbMzvYE3KUNDW1jEHSCjM9t89n.jpg" }, { "adult": false, "character": "Dae-ho / 'No. 388'", "credit_id": "675222563494cc9bfbc60eaf", "gender": 2, "id": 1257899, "known_for_department": "Acting", "name": "Kang Ha-neul", "order": 3, "original_name": "강하늘", "popularity": 25.978, "profile_path": "/9V9H2mzk9XLMVPr0HtZHPCbM0Q2.jpg" }, { "adult": false, "character": "Hwang Jun-ho", "credit_id": "614cb84fc2823a0090ca07ef", "gender": 2, "id": 1557181, "known_for_department": "Acting", "name": "Wi Ha-jun", "order": 5, "original_name": "위하준", "popularity": 43.041, "profile_path": "/tEZuIaMESdBw4LfNq3vshGR4VlP.jpg" }, { "adult": false, "character": "No-eul", "credit_id": "6752241e84ca928d00c9f732", "gender": 1, "id": 1983073, "known_for_department": "Acting", "name": "Park Gyu-young", "order": 7, "original_name": "박규영", "popularity": 49.829, "profile_path": "/aqfLyqMoNzVwjhGInt6gX6fkIxs.jpg" }, { "adult": false, "character": "Gyeong-seok / 'No. 246'", "credit_id": "675222940e8c237986a8f6e1", "gender": 2, "id": 1299479, "known_for_department": "Acting", "name": "Lee Jin-uk", "order": 8, "original_name": "이진욱", "popularity": 33.863, "profile_path": "/wbuWNsAZTluQg9H1ObQKCkYA5tV.jpg" }, { "adult": false, "character": "Hyun-ju / 'No. 120'", "credit_id": "675223b237f1856202088336", "gender": 2, "id": 1140210, "known_for_department": "Acting", "name": "Park Sung-hoon", "order": 10, "original_name": "박성훈", "popularity": 46.321, "profile_path": "/enKDuSOpLMDDqr12lLgr17DqZJF.jpg" }, { "adult": false, "character": "Yong-sik / 'No. 007'", "credit_id": "6752223b0e8c237986a8f6bf", "gender": 2, "id": 1297749, "known_for_department": "Acting", "name": "Yang Dong-geun", "order": 11, "original_name": "양동근", "popularity": 14.987, "profile_path": "/rpP06EPyDZBHKbwBhTo1t3J9poN.jpg" }, { "adult": false, "character": "Geum-ja / 'No. 149'", "credit_id": "6752231237f18562020882dc", "gender": 1, "id": 2523069, "known_for_department": "Acting", "name": "Kang Ae-sim", "order": 13, "original_name": "강애심", "popularity": 47.202, "profile_path": "/mnUozozJf3VUpgi91ysfyxlRqs1.jpg" }, { "adult": false, "character": "Jun-hee / 'No. 222'", "credit_id": "6752226a802bad16091a9c92", "gender": 1, "id": 2359937, "known_for_department": "Acting", "name": "Jo Yu-ri", "order": 14, "original_name": "조유리", "popularity": 20.964, "profile_path": "/yyNzNHZ6MavsuiNliL4MxzDk1zg.jpg" } ]
Show child attributes
[ { "adult": false, "credit_id": "62a62d1b7e12f02ff65fff0b", "department": "Writing", "gender": 2, "id": 1294471, "job": "Writer", "known_for_department": "Directing", "name": "Hwang Dong-hyuk", "original_name": "황동혁", "popularity": 23.204, "profile_path": "/xyr3b04ayyJtA5ZN3L0Af10WKIR.jpg" }, { "adult": false, "credit_id": "62a62d2385005d4c07bde35f", "department": "Directing", "gender": 2, "id": 1294471, "job": "Director", "known_for_department": "Directing", "name": "Hwang Dong-hyuk", "original_name": "황동혁", "popularity": 23.204, "profile_path": "/xyr3b04ayyJtA5ZN3L0Af10WKIR.jpg" } ]
Show child attributes
[ { "adult": false, "character": "Cho Sang-woo / 'No. 218'", "credit_id": "6571b17790fca300ca7fb1ff", "gender": 2, "id": 1593672, "known_for_department": "Acting", "name": "Park Hae-soo", "order": 4, "original_name": "박해수", "popularity": 26.428, "profile_path": "/hfejrQ8gjRWCheiKpJANajXT0xi.jpg" }, { "adult": false, "character": "Kang Sae-byeok / 'No. 067'", "credit_id": "6113c0575c56340028bc05fd", "gender": 1, "id": 3194501, "known_for_department": "Acting", "name": "HoYeon", "order": 6, "original_name": "정호연", "popularity": 91.119, "profile_path": "/bWMOv8dzwIp5POkDYGgl0v2LoWv.jpg" }, { "adult": false, "character": "The Salesman", "credit_id": "6571b2c7a22d3e00accf157b", "gender": 2, "id": 150903, "known_for_department": "Acting", "name": "Gong Yoo", "order": 557, "original_name": "공유", "popularity": 59.029, "profile_path": "/ocGoFb6TrK3uWGXt4WnuibUG1vD.jpg" }, { "adult": false, "character": "Captain Park", "credit_id": "676d4ec962ba310fc0128b18", "gender": 2, "id": 77188, "known_for_department": "Acting", "name": "Oh Dal-su", "order": 558, "original_name": "오달수", "popularity": 12.618, "profile_path": "/hd72oGjq0YKYdgZKMnqtV00MV28.jpg" }, { "adult": false, "character": "Choi Woo-seok", "credit_id": "676d4ed00c4402b631927f1d", "gender": 2, "id": 1199744, "known_for_department": "Acting", "name": "Jun Suk-ho", "order": 559, "original_name": "전석호", "popularity": 17.675, "profile_path": "/xMUCuermXrjVNOWDV3gIfpP5yhF.jpg" }, { "adult": false, "character": "Kim Jeong-tae", "credit_id": "676d4ed662ba310fc0128b25", "gender": 2, "id": 1489972, "known_for_department": "Acting", "name": "Kim Pub-lae", "order": 560, "original_name": "김법래", "popularity": 9.652, "profile_path": "/9ceWebylO0MZcX56nP62BuSEhws.jpg" }, { "adult": false, "character": "Jun-ho's mother", "credit_id": "676d4ef50c4402b631927f2f", "gender": 1, "id": 138525, "known_for_department": "Acting", "name": "Lee Joo-sil", "order": 561, "original_name": "이주실", "popularity": 12.043, "profile_path": "/uGT4bdTx6JVEj26T2NbHoQCOODM.jpg" }, { "adult": false, "character": "Masked Officer", "credit_id": "676d515aaa8f3159d612907f", "gender": 2, "id": 1278776, "known_for_department": "Acting", "name": "Rich Ting", "order": 571, "original_name": "Rich Ting", "popularity": 7.859, "profile_path": "/9csNa8014Tx1V8xINWHXuENWs0V.jpg" }, { "adult": false, "character": "Team Leader", "credit_id": "6771497b7d1bc87de7616e22", "gender": 2, "id": 1375062, "known_for_department": "Acting", "name": "Oh Chang-kyung", "order": 584, "original_name": "Oh Chang-kyung", "popularity": 0.577, "profile_path": "/fYNUv8dKK9gv9Li39Kfa2m935F9.jpg" }, { "adult": false, "character": "Kim's subordinate", "credit_id": "6771499f7d1bc87de7616e2b", "gender": 2, "id": 3640214, "known_for_department": "Acting", "name": "Lee Woon-san", "order": 585, "original_name": "Lee Woon-san", "popularity": 0.609, "profile_path": "/4zumPDXZd4kUXig30d4d0DcBfmy.jpg" } ]
5475279